tellraw @s [{"text": "Vanderflys","color": "gold"},{"text":": Thank you for using","color":"white"},{"text":" Better Healthbar v4","color":"aqua"},{"text":".","color":"white"}]

# --------------------------------------------------------------------------------- #

# Uninstall the old version if detected
# scoreboard objectives remove Settings
# scoreboard objectives remove Health
# scoreboard objectives remove HealthOld
# scoreboard objectives remove Temp

# scoreboard objectives remove HB.settings
# scoreboard objectives remove HB.temp
# scoreboard objectives remove HB.damage
# scoreboard objectives remove HB.old_health
# scoreboard objectives remove HB.health

kill @e[type=text_display, tag=HealthDisplay]
kill @e[type=text_display, tag=DamageDisplay]

# data remove storage healthbar installed
data remove storage healthbar health
data remove storage healthbar health_length
data remove storage healthbar max_health
data remove storage healthbar max_health_length
data remove storage healthbar removal
data remove storage healthbar below_name
data remove storage healthbar check_length
data remove storage healthbar damage
data remove storage healthbar name
data remove storage healthbar final_damage

tag @e remove Healthbar.exclude

# --------------------------------------------------------------------------------- #

data modify storage healthbar status set value "Installed"

scoreboard objectives add HB.Damage custom:minecraft.damage_dealt
scoreboard objectives add HB.Calc dummy
scoreboard objectives add HB.Health health
scoreboard objectives add HB.Settings trigger
scoreboard players enable @a HB.Settings

scoreboard objectives setdisplay below_name HB.Health

execute unless score #damage_indicator HB.Settings matches 0..1 run scoreboard players set #damage_indicator HB.Settings 1
execute unless score #hostile_healthbar HB.Settings matches 0..1 run scoreboard players set #hostile_healthbar HB.Settings 1
execute unless score #passive_healthbar HB.Settings matches 0..1 run scoreboard players set #passive_healthbar HB.Settings 1
execute unless score #player_healthbar HB.Settings matches 0..1 run scoreboard players set #player_healthbar HB.Settings 1

execute unless entity @e[type=text_display, tag=HealthDisplay] run forceload add 0 0
execute unless entity @e[type=text_display, tag=HealthDisplay] run summon text_display 0 -60 0 {alignment:"center", Tags:["HealthDisplay"]}